| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - b -

- B() : csPlane3, csPlane2, csDPlane
- Back2Front() : csBSPTree
- BaseFunction() : csCatmullRomSpline, csBSpline
- BatchClassify() : csFrustum
- BeforeDelete() : iFontDeleteNotify
- BeforeDrawing() : iMeshObjectDrawCallback, iMeshDrawCallback
- Begin() : csColorQuantizer
- BeginDraw() : iGraphics3D, iGraphics2D, csGraphics2DGLCommon, csGraphics2D
- BeginTriangulate() : CS::TriangleIndicesStream< T >
- Benchmark() : iDebugHelper, csGraphics2D, csTiledCoverageBuffer, csGeomDebugHelper, csKDTree
- Between() : csDMath3, csMath3, csBox3
- Bias() : csColorQuantizer
- Bind() : iConsoleInput
- BindAxis() : iInputBinder, csInputBinder
- BindButton() : iInputBinder, csInputBinder
- BindMaterials() : iSpriteCal3DFactoryState
- BitProxy() : csBitArrayTweakable< InlinedBits, Allocator >::BitProxy, csBitArrayTweakable< InlinedBits, Allocator >
- BlendMorphTarget() : iSpriteCal3DState
- Blit() : iTextureHandle, iGraphics2D, csGraphics2DGLCommon, csGraphics2D
- BlockKey() : csFixedSizeAllocator< Size, Allocator >::BlockKey
- Blur() : csImageManipulate
- BodyInGroup() : iBodyGroup
- BoxBox() : csIntersect3
- BoxFrustum() : csIntersect3
- BoxInClosedMesh() : csPolygonMeshTools
- BoxPlane() : csIntersect3
- BoxSegment() : csIntersect3
- BoxSphere() : csIntersect3
- BoxTriangle() : csIntersect3
- Broadcast() : iEventOutlet, csEventOutlet, iEvent
- BSF() : csTreeNode
- Build() : csBSPTree
- Button() : iInputBinder, csInputBinder, csJoystickEventData, csMouseEventData, csJoystickDriver, csMouseDriver